dialog_be.h File Reference
`#include <gwenhywfar/dialog.h>`
`#include <gwenhywfar/widget_be.h>`
`#include <gwenhywfar/stringlist.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Typedefs

typedef const char *GWENHYWFAR_CB(* | GWEN_DIALOG_GETCHARPROPERTY_FN) (GWEN_DIALOG *dlg, GWEN_WIDGET *w, GWEN_DIALOG_PROPERTY prop, int index, const char *defaultValue)
typedef int GWENHYWFAR_CB(* | GWEN_DIALOG_GETINTPROPERTY_FN) (GWEN_DIALOG *dlg, GWEN_WIDGET *w, GWEN_DIALOG_PROPERTY prop, int index, int defaultValue)
typedef int GWENHYWFAR_CB(* | GWEN_DIALOG_SETCHARPROPERTY_FN) (GWEN_DIALOG *dlg, GWEN_WIDGET *w, GWEN_DIALOG_PROPERTY prop, int index, const char *value, int doSignal)
typedef int GWENHYWFAR_CB(* | GWEN_DIALOG_SETINTPROPERTY_FN) (GWEN_DIALOG *dlg, GWEN_WIDGET *w, GWEN_DIALOG_PROPERTY prop, int index, int value, int doSignal)

## Functions

GWENHYWFAR_API void | GWEN_Dialog_Dump (const GWEN_DIALOG *dlg, FILE *f, unsigned int indent)
GWENHYWFAR_API int | GWEN_Dialog_EmitSignal (GWEN_DIALOG *dlg, GWEN_DIALOG_EVENTTYPE t, const char *sender)
GWENHYWFAR_API int | GWEN_Dialog_EmitSignal2 (GWEN_DIALOG *dlg, GWEN_DIALOG_EVENTTYPE t, const char *sender, int intArg, const char *stringArg)
GWENHYWFAR_API int | GWEN_Dialog_EmitSignalToAll (GWEN_DIALOG *dlg, GWEN_DIALOG_EVENTTYPE t, const char *sender)
GWENHYWFAR_API int | GWEN_Dialog_EmitSignalToAll2 (GWEN_DIALOG *dlg, GWEN_DIALOG_EVENTTYPE t, const char *sender, int intArg, const char *stringArg)
GWENHYWFAR_API GWEN_WIDGET * | GWEN_Dialog_FindWidgetByImplData (const GWEN_DIALOG *dlg, int index, const void *ptr)
GWENHYWFAR_API GWEN_WIDGET * | GWEN_Dialog_FindWidgetByName (const GWEN_DIALOG *dlg, const char *name)
GWENHYWFAR_API GWEN_STRINGLIST * | GWEN_Dialog_GetMediaPaths (const GWEN_DIALOG *dlg)
GWENHYWFAR_API GWEN_DIALOG * | GWEN_Dialog_GetParentDialog (const GWEN_DIALOG *dlg)
GWENHYWFAR_API GWEN_WIDGET_TREE * | GWEN_Dialog_GetWidgets (const GWEN_DIALOG *dlg)
GWENHYWFAR_API GWEN_DIALOG_GETCHARPROPERTY_FN | GWEN_Dialog_SetGetCharPropertyFn (GWEN_DIALOG *dlg, GWEN_DIALOG_GETCHARPROPERTY_FN fn)
GWENHYWFAR_API GWEN_DIALOG_GETINTPROPERTY_FN | GWEN_Dialog_SetGetIntPropertyFn (GWEN_DIALOG *dlg, GWEN_DIALOG_GETINTPROPERTY_FN fn)
GWENHYWFAR_API void | GWEN_Dialog_SetGuiId (GWEN_DIALOG *dlg, uint32_t guiid)
GWENHYWFAR_API GWEN_DIALOG_SETCHARPROPERTY_FN | GWEN_Dialog_SetSetCharPropertyFn (GWEN_DIALOG *dlg, GWEN_DIALOG_SETCHARPROPERTY_FN fn)
GWENHYWFAR_API GWEN_DIALOG_SETINTPROPERTY_FN | GWEN_Dialog_SetSetIntPropertyFn (GWEN_DIALOG *dlg, GWEN_DIALOG_SETINTPROPERTY_FN fn)

## Typedef Documentation

## GWEN_DIALOG_GETCHARPROPERTY_FN

typedef const char *GWENHYWFAR_CB(* GWEN_DIALOG_GETCHARPROPERTY_FN) (GWEN_DIALOG *dlg, GWEN_WIDGET *w, GWEN_DIALOG_PROPERTY prop, int index, const char *defaultValue)

Definition at line 62 of file dialog_be.h.

## GWEN_DIALOG_GETINTPROPERTY_FN

typedef int GWENHYWFAR_CB(* GWEN_DIALOG_GETINTPROPERTY_FN) (GWEN_DIALOG *dlg, GWEN_WIDGET *w, GWEN_DIALOG_PROPERTY prop, int index, int defaultValue)

Definition at line 49 of file dialog_be.h.

## GWEN_DIALOG_SETCHARPROPERTY_FN

typedef int GWENHYWFAR_CB(* GWEN_DIALOG_SETCHARPROPERTY_FN) (GWEN_DIALOG *dlg, GWEN_WIDGET *w, GWEN_DIALOG_PROPERTY prop, int index, const char *value, int doSignal)

Definition at line 55 of file dialog_be.h.

## GWEN_DIALOG_SETINTPROPERTY_FN

typedef int GWENHYWFAR_CB(* GWEN_DIALOG_SETINTPROPERTY_FN) (GWEN_DIALOG *dlg, GWEN_WIDGET *w, GWEN_DIALOG_PROPERTY prop, int index, int value, int doSignal)

Definition at line 42 of file dialog_be.h.

## Function Documentation

## GWEN_Dialog_Dump()

GWENHYWFAR_API void GWEN_Dialog_Dump | ( | const GWEN_DIALOG * | dlg,
|  | FILE * | f,
|  | unsigned int | indent )

## GWEN_Dialog_EmitSignal()

GWENHYWFAR_API int GWEN_Dialog_EmitSignal | ( | GWEN_DIALOG * | dlg,
|  | GWEN_DIALOG_EVENTTYPE | t,
|  | const char * | sender )

Sends a signal to the signal handler of the given dialog. This does not send the signal to sub-dialogs. Use GWEN_Dialog_EmitSignalToAll for that.

References GWENHYWFAR_API.

## GWEN_Dialog_EmitSignal2()

GWENHYWFAR_API int GWEN_Dialog_EmitSignal2 | ( | GWEN_DIALOG * | dlg,
|  | GWEN_DIALOG_EVENTTYPE | t,
|  | const char * | sender,
|  | int | intArg,
|  | const char * | stringArg )

References GWENHYWFAR_API.

## GWEN_Dialog_EmitSignalToAll()

GWENHYWFAR_API int GWEN_Dialog_EmitSignalToAll | ( | GWEN_DIALOG * | dlg,
|  | GWEN_DIALOG_EVENTTYPE | t,
|  | const char * | sender )

Emits signals to the given dialog and all its sub-dialogs. This should only be used for signals like GWEN_DialogEvent_TypeInit and GWEN_DialogEvent_TypeFini.

References GWENHYWFAR_API.

## GWEN_Dialog_EmitSignalToAll2()

GWENHYWFAR_API int GWEN_Dialog_EmitSignalToAll2 | ( | GWEN_DIALOG * | dlg,
|  | GWEN_DIALOG_EVENTTYPE | t,
|  | const char * | sender,
|  | int | intArg,
|  | const char * | stringArg )

References GWENHYWFAR_API.

## GWEN_Dialog_FindWidgetByImplData()

GWENHYWFAR_API GWEN_WIDGET * GWEN_Dialog_FindWidgetByImplData | ( | const GWEN_DIALOG * | dlg,
|  | int | index,
|  | const void * | ptr )

References GWENHYWFAR_API.

## GWEN_Dialog_FindWidgetByName()

GWENHYWFAR_API GWEN_WIDGET * GWEN_Dialog_FindWidgetByName | ( | const GWEN_DIALOG * | dlg,
|  | const char * | name )

References GWENHYWFAR_API.

## GWEN_Dialog_GetMediaPaths()

GWENHYWFAR_API GWEN_STRINGLIST * GWEN_Dialog_GetMediaPaths | ( | const GWEN_DIALOG * | dlg | ) |

The dialog remains the owner of the object returned (if any).

References GWENHYWFAR_API.

## GWEN_Dialog_GetParentDialog()

GWENHYWFAR_API GWEN_DIALOG * GWEN_Dialog_GetParentDialog | ( | const GWEN_DIALOG * | dlg | ) |

References GWENHYWFAR_API.

## GWEN_Dialog_GetWidgets()

GWENHYWFAR_API GWEN_WIDGET_TREE * GWEN_Dialog_GetWidgets | ( | const GWEN_DIALOG * | dlg | ) |

References GWENHYWFAR_API.

## GWEN_Dialog_SetGetCharPropertyFn()

GWENHYWFAR_API GWEN_DIALOG_GETCHARPROPERTY_FN GWEN_Dialog_SetGetCharPropertyFn | ( | GWEN_DIALOG * | dlg,
|  | GWEN_DIALOG_GETCHARPROPERTY_FN | fn )

References GWENHYWFAR_API.

## GWEN_Dialog_SetGetIntPropertyFn()

GWENHYWFAR_API GWEN_DIALOG_GETINTPROPERTY_FN GWEN_Dialog_SetGetIntPropertyFn | ( | GWEN_DIALOG * | dlg,
|  | GWEN_DIALOG_GETINTPROPERTY_FN | fn )

References GWENHYWFAR_API.

## GWEN_Dialog_SetGuiId()

GWENHYWFAR_API void GWEN_Dialog_SetGuiId | ( | GWEN_DIALOG * | dlg,
|  | uint32_t | guiid )

References GWENHYWFAR_API.

## GWEN_Dialog_SetSetCharPropertyFn()

GWENHYWFAR_API GWEN_DIALOG_SETCHARPROPERTY_FN GWEN_Dialog_SetSetCharPropertyFn | ( | GWEN_DIALOG * | dlg,
|  | GWEN_DIALOG_SETCHARPROPERTY_FN | fn )

References GWENHYWFAR_API.

## GWEN_Dialog_SetSetIntPropertyFn()

GWENHYWFAR_API GWEN_DIALOG_SETINTPROPERTY_FN GWEN_Dialog_SetSetIntPropertyFn | ( | GWEN_DIALOG * | dlg,
|  | GWEN_DIALOG_SETINTPROPERTY_FN | fn )

References GWENHYWFAR_API.